error with NPM, node_modules dont start

Hi all,

My NPM dont start, check below the low:
19 error This is an error with npm itself. Please report this error at:
**20 error https://npm.community**

This the log:
0 info it worked if it ends with ok
1 verbose cli [ ‘E:\MakelaarSuite\mks00-nodejs\nodejs\node.exe’,
1 verbose cli ‘E:\MakelaarSuite\mks00-nodejs\nodejs\node_modules\npm\bin\npm-cli.js’,
1 verbose cli ‘install’,
1 verbose cli ‘–production’ ]
2 info using npm@6.4.1
3 info using node@v10.15.3
4 verbose npm-session 9fbfa19d3d51a47f
5 silly install runPreinstallTopLevelLifecycles
6 silly preinstall cir_coo_package@5.1.0
7 info lifecycle cir_coo_package@5.1.0~preinstall: cir_coo_package@5.1.0
8 silly install loadCurrentTree
9 silly install readLocalPackageData
10 timing stage:loadCurrentTree Completed in 74ms
11 silly install loadIdealTree
12 silly install cloneCurrentTreeToIdealTree
13 timing stage:loadIdealTree:cloneCurrentTree Completed in 2ms
14 silly install loadShrinkwrap
15 timing stage:loadIdealTree:loadShrinkwrap Completed in 32ms
16 silly install loadAllDepsIntoIdealTree
17 timing npm Completed in 1802ms
18 error cb() never called!
19 error This is an error with npm itself. Please report this error at:
**20 error https://npm.community**

How to fix this problem?

Thanks in advance,
Chiefhk

“error cb() never called!” is a generic error after something else goes wrong. The display of the underlying error was improved in npm v6.6.0, so you are likely to get more information if you are able to upgrade to a newer npm.

thanks for your reply, i have installed node-v10.15.3-x64, after that i cant start the npm.
How to fix it?

Also reinstall the npm software but still error

Oops, that sounds worse! We’ll need more information, what failure are you seeing when you try and run npm?

Did you install node using the installer from nodejs.org, or another way such as an npm version manager?

Starting a new shell is needed in some Linux shells after an install, not sure if needed on Windows but quick and easy to try.

((You actually had node v10.15.3 already according to log. Once you have a functional npm again, the usual way to upgrade npm is with npm itself, e.g.

npm install --global npm@latest

)

when i try npm install --global npm@latest then i got this error:

0 info it worked if it ends with ok
1 verbose cli [ ‘E:\MakelaarSuite\mks00-nodejs\nodejs\node.exe’,
1 verbose cli ‘E:\MakelaarSuite\mks00-nodejs\nodejs\node_modules\npm\bin\npm-cli.js’,
1 verbose cli ‘install’,
1 verbose cli ‘–global’,
1 verbose cli ‘npm@latest’ ]
2 info using npm@6.4.1
3 info using node@v10.15.3
4 verbose npm-session 882d0c03e00d7fb7
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 verbose stack Error: Cannot find module ‘./lib/’
7 verbose stack at Function.Module._resolveFilename (internal/modules/cjs/loader.js:582:15)
7 verbose stack at Function.Module._load (internal/modules/cjs/loader.js:508:25)
7 verbose stack at Module.require (internal/modules/cjs/loader.js:637:17)
7 verbose stack at require (internal/modules/cjs/helpers.js:22:18)
7 verbose stack at Object. (E:\MakelaarSuite\mks00-nodejs\nodejs\node_modules\npm\node_modules\request\node_modules\qs\index.js:1:80)
7 verbose stack at Module._compile (internal/modules/cjs/loader.js:701:30)
7 verbose stack at Object.Module._extensions…js (internal/modules/cjs/loader.js:712:10)
7 verbose stack at Module.load (internal/modules/cjs/loader.js:600:32)
7 verbose stack at tryModuleLoad (internal/modules/cjs/loader.js:539:12)
7 verbose stack at Function.Module._load (internal/modules/cjs/loader.js:531:3)
7 verbose stack at Module.require (internal/modules/cjs/loader.js:637:17)
7 verbose stack at require (internal/modules/cjs/helpers.js:22:18)
7 verbose stack at Object. (E:\MakelaarSuite\mks00-nodejs\nodejs\node_modules\npm\node_modules\request\lib\querystring.js:3:10)
7 verbose stack at Module._compile (internal/modules/cjs/loader.js:701:30)
7 verbose stack at Object.Module._extensions…js (internal/modules/cjs/loader.js:712:10)
7 verbose stack at Module.load (internal/modules/cjs/loader.js:600:32)
8 verbose cwd E:\MakelaarSuite\mks00-nodejs\CirCooNodejs
9 verbose Windows_NT 6.1.7601
10 verbose argv “E:\MakelaarSuite\mks00-nodejs\nodejs\node.exe” “E:\MakelaarSuite\mks00-nodejs\nodejs\node_modules\npm\bin\npm-cli.js” “install” “–global” “npm@latest”
11 verbose node v10.15.3
12 verbose npm v6.4.1
13 error code MODULE_NOT_FOUND
14 error Cannot find module ‘./lib/’
15 verbose exit [ 1, true ]

Oops, that sounds worse! We’ll need more information, what failure are you seeing when you try and run npm? what kind of more information u need?

Did you install node using the installer from nodejs.org, or another way such as an npm version manager? Yes

My guess is a bad install (for unknown reasons) and I would try uninstall and reinstall of node. But I don’t specifically recognise the failure, so you might want to wait for other replies. Sorry you are having a multiple problems!

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.